<template>
  <div>
    <header class="toolbar">
      <div class="button" @click="saveFile()" data-toggle="tooltip" title="Save currently opened file!">Save file</div>
      <div class="button" @click="clear()" data-toggle="tooltip" title="Resets everything!">Reset all</div>
      <div class="button" @click="update()" data-toggle="tooltip" title="Send all changed files to the engine!">Update</div>
      <div class="button" @click="rerun()" data-toggle="tooltip" title="Restart the preview!">Restart</div>
      <div class="button" @click="downloadSample()" data-toggle="tooltip" title="Download packed sample!">Download</div>
      <label class="hide button" for="hideAce"></label>
      <div v-shortkey="['ctrl', 's']" @shortkey="saveFile()">
      </div>
      <div v-shortkey="['meta', 's']" @shortkey="saveFile()">
      </div>
    </header>
  </div>
</template>

<script>

import { LocalStorageService } from '@/services/local-storage.service'
import { DOWNLOAD_SAMPLE, RESTART_PROJECT, RESTART_PLAYER, UPDATE_PLAYER, SAVE_OPENED_FILE } from '../events/events'

export default {
  name: 'Actions',
  methods: {
    downloadSample () {
      this.$bus.$emit(DOWNLOAD_SAMPLE)
    },
    clear () {
      LocalStorageService.ClearFiles()
      this.$bus.$emit(RESTART_PROJECT)
      this.rerun()
    },
    update () {
      this.$bus.$emit(UPDATE_PLAYER)
    },
    rerun () {
      this.$bus.$emit(RESTART_PLAYER)
    },
    saveFile () {
      this.$bus.$emit(SAVE_OPENED_FILE)
    }
  }
}
</script>

<style lang="scss" scoped>
</style>
